/*******************************************************************************
 * Copyright (c) 2005-2008 Polarion Software.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Igor Burilo - Initial API and implementation
 *******************************************************************************/

package commit.extend;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.team.svn.ui.dialog.DefaultDialog;
import org.eclipse.team.svn.ui.panel.IDialogPanel;


public class MyDialog extends DefaultDialog {
	
	public MyDialog(Shell parentShell, IDialogPanel panel) {
		super(parentShell, panel);				
	}
		
	protected Control createMainPanel(Composite parent) {
		Composite composite = new Composite(parent, SWT.NONE);
		GridLayout layout = new GridLayout();
		layout.numColumns = 1;
		GridData data = new GridData(SWT.FILL);
		composite.setLayoutData(data);
		composite.setLayout(layout);
		
		super.createMainPanel(composite);
		
		//Place here our custom controls
		Label text = new Label(composite, SWT.NONE);
		text.setText("------Our custom controls-------");
		text.setLayoutData(new GridData(GridData.FILL_HORIZONTAL)); 		
		
		return composite;
	}

}
